Package jakarta.el

## Class ValueReference

- java.lang.Object
- - jakarta.el.ValueReference

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ValueReference
      extends java.lang.Object
      implements java.io.Serializable

  Since:
    EL 2.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueReference​(java.lang.Object base, java.lang.Object property)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getBase()` |
    `java.lang.Object` | `getProperty()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueReference

          public ValueReference​(java.lang.Object base,
                                java.lang.Object property)

  - ### Method Detail

    - #### getBase

          public java.lang.Object getBase()

    - #### getProperty

          public java.lang.Object getProperty()